# own-promise

  1) clone this project
  2) create repo on your gitlab acount
  3) change origin to your
  4) push to your repo
  5) install ```node modules```
  6) run ```npm test``` for base or ```npm run _test``` for your own test cases
  7) one by one try to make all tests pass(you can read about TDD)
  8) some tests is not implemented yet, just has a description(write 10-20 by you self)
  
***
 - keep your code clean
 - don't forget to make commit (**5-10 time per day !!!**), put it to the foldet `test` and call like my example - `your name`.spec.js 
 - for every method create branch and merge to ```dev``` by ```pull request``` after all tests for it pass